from neuroProcesses import *
from brainvisa import anatomist

name = 'PBV_11: Viewer of Mesh from Threshold'
userLevel = 0
roles = ( 'viewer' )

signature = Signature(
  'mesh', ReadDiskItem( 'Mesh from threshold', 'Aims mesh formats' ),
  'image', ReadDiskItem( 'Fractional anisotropy', 'Aims readable volume formats' ),
)

def initialization( self ):
  self.linkParameters( 'image', 'mesh' )
  # Viewer must be callable with only one parameter
  self.setOptional( 'image' )
  
def execution( self, context ):
  # Open Anatomist
  a = anatomist.Anatomist()
  # Load mesh in anatomist
  aMesh = a.loadObject( self.mesh.fullPath() )
  anatomistObjects = [ aMesh ]
  if self.image is not None:
    # Load image in anatomist
    aImage = a.loadObject( self.image.fullPath() )
    anatomistObjects.append( aImage )
  # Create an Axial window
  aWindow = a.createWindow( 'Axial' )
  # Display mesh and image in window
  aWindow.addObjects( anatomistObjects )
 
  # Return objects that must not be destroyed immediately
  return ( anatomistObjects, aWindow )

