
# Run ipython with command 
# ipython -q4thread

import anatomist.api as ana
a = ana.Anatomist()
import os
src="<TO BE FILLED>/formationJIRFNI_2010/jirfni_2010/data" # directory including "data_for_anatomist"

# Load the T1 anatomy
t1mri = a.loadObject( os.path.join(src, "data_for_anatomist", "subject01", "subject01.nii") )

# Load left hemisphere sulci
sulci = a.loadObject( os.path.join(src, "data_for_anatomist", "subject01", "sulci", "Lsubject01_default_session_auto.arg" ))

# Load left white matter mesh
white_matter = a.loadObject( os.path.join(src, "data_for_anatomist", "subject01", "subject01_Lwhite.mesh") )

# Load head mesh
head = a.loadObject(os.path.join(src, "data_for_anatomist", "subject01", "subject01_head.mesh"))

# Create a 3D window
w1 = a.createWindow( '3D' )

# Add the anatomy into the window
w1.addObjects( t1mri )

# Add the sulci into the window
w1.addObjects( sulci, add_graph_nodes=True )

# Add white matter mesh into the window
w1.addObjects( white_matter )

# Add head mesh into the window
head.addInWindows(w1)

# Change color of the head mesh
material = a.Material(diffuse=[0, 1, 0, 0.5]) # Green, 0.5 transparency
head.setMaterial(material)

w1.close()
del w1

exit()

