from neuroProcesses import *

name = 'PBV_10: Threshold FA image and create corresponding mesh'
userLevel = 0

signature = Signature(
  'image', ReadDiskItem( 'Fractional anisotropy', 'Aims readable volume formats' ),
  'threshold', Float(),
  'mesh', WriteDiskItem( 'Mesh from threshold', 'GIFTI file' ),
)

def initialization( self ):
  self.linkParameters( 'mesh', 'image' )

def execution( self, context ):
  thresholded = context.temporary( 'NIFTI-1 image' )
  context.system( 'AimsThreshold',
    '-i', self.image,
    '-o', thresholded,
    '-m', 'gt',
    '-t', self.threshold,
    '-b' )
  context.system( 'AimsMeshBrain', '-i', thresholded, '-o', self.mesh )
  
