from neuroProcesses import *

name = 'PBV_5: Threshold image and create corresponding mesh'
userLevel = 0

signature = Signature(
  'image', ReadDiskItem( '4D Volume', 'Aims readable volume formats' ),
  'threshold', Float(),
  'mesh', WriteDiskItem( 'Mesh', 'Aims mesh formats' ),
)

def execution( self, context ):
  thresholded = context.temporary( 'NIFTI-1 image' )
  context.runProcess( 'PBV_3', self.image, self.threshold, thresholded )
  context.runProcess( 'PBV_4', thresholded, self.mesh )
  
  
