from neuroProcesses import *
from brainvisa import anatomist

name = 'PBV_6: Display mesh and image'
userLevel = 0

signature = Signature(
  'mesh', ReadDiskItem( 'Mesh', 'Aims mesh formats' ),
  'image', ReadDiskItem( '4D Volume', 'Aims readable volume formats' ),
)

def execution( self, context ):
  # Open Anatomist
  a = anatomist.Anatomist()
  # Load mesh in anatomist
  aMesh = a.loadObject( self.mesh.fullPath() )
  # Load image in anatomist
  aImage = a.loadObject( self.image.fullPath() )
  # Create an Axial window
  aWindow = a.createWindow( 'Axial' )
  # Display mesh and image in window
  aWindow.addObjects( (aMesh, aImage) )
 
  # Return objects that must not be destroyed immediately
  return ( aMesh, aImage, aWindow )

