from neuroProcesses import *

name = 'PBV_7: Pipeline chaining PBV_5 and PBV_6'
userLevel = 0

signature = Signature(
  'image', ReadDiskItem( '4D Volume', 'Aims readable volume formats' ),
  'threshold', Float(),
  'mesh', WriteDiskItem( 'Mesh', 'Aims mesh formats' ),
)

def initialization( self ):
  # Create execution tree
  eNode = SerialExecutionNode( self.name, 
    parameterized=self )
  eNode.addChild( 'create_mesh',
                  ProcessExecutionNode( 'PBV_5',
                                        optional=True, selected=True ) )
  eNode.addChild( 'display',
                  ProcessExecutionNode( 'PBV_6',
                                        optional=True, selected=True ) )

  # Link PBV_5 parameters
  eNode.addLink( 'image', 'create_mesh.image' )
  eNode.addLink( 'create_mesh.image', 'image' )
  
  eNode.addLink( 'mesh', 'create_mesh.mesh' )
  eNode.addLink( 'create_mesh.mesh', 'mesh' )
  
  eNode.addLink( 'threshold', 'create_mesh.threshold' )
  eNode.addLink( 'create_mesh.threshold', 'threshold' )
  
  # Link PBV_5 parameters
  eNode.addLink( 'image', 'display.image' )
  eNode.addLink( 'display.image', 'image' )
  
  eNode.addLink( 'mesh', 'display.mesh' )
  eNode.addLink( 'display.mesh', 'mesh' )
  
  # Attach the execution tree to the process
  self.setExecutionNode( eNode )
  

