#! /usr/bin/env python

import os, sys
from soma import aims

def read_as_S16( file_name ):
  result = aims.read( file_name )
  if result.__class__.__name__ != 'Volume_S16':
    converter = getattr( aims, 'Converter_' + result.__class__.__name__ + '_Volume_S16' )()
    result = converter( result )
  return result
  
output = sys.argv[ 1 ]
if output.endswith( '.nii' ):
  output = output[ :-4 ]
images = sys.argv[ 2: ]
labels = {}
print 'Reading', images[0]
result = read_as_S16( images[0] )
#print 'result', result.minimum(), result.maximum()
labels[ 1 ] = os.path.splitext( os.path.basename( images[0] ) )[ 0 ]
count = 1
for image in images[ 1: ]:
  if image == output + '.nii': continue
  print 'Reading', image
  tmp = read_as_S16( image )
  tmp *= count
  #print 'tmp', tmp.minimum(), tmp.maximum()
  result += tmp
  #print 'result', result.minimum(), result.maximum()
  count += 1
  labels[ count ] = os.path.splitext( os.path.basename( image ) )[ 0 ]


aims.write( result, output + '.nii' )
out = open( output + '.txt', 'w' )
for l in sorted( labels ):
  print >> out, l, labels[ l ]

  